This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1031368 - gnome-shell fails to match urxvt windows due to discrepancy between WM_CLASS and desktop files
gnome-shell fails to match urxvt windows due to discrepancy between WM_CLASS ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rxvt-unicode (Show other bugs)
20
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 05:24 EST by Maciek Borzecki
Modified: 2015-01-24 13:49 EST (History)
2 users (show)

See Also:
Fixed In Version: rxvt-unicode-9.21-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-20 16:04:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for Fedora package (2.73 KB, patch)
2013-11-17 05:24 EST, Maciek Borzecki
no flags Details | Diff

  None (edit)
Description Maciek Borzecki 2013-11-17 05:24:59 EST
Created attachment 825118 [details]
Patch for Fedora package

Description of problem:
Whenever instance of urxvt (or urxvt256c) is started either form run dialog or as a result of being assigned to a shortcut key, a new app icon pops up. However, if I start urxvt/urxvt256c from applications list (as via corresponding *.desktop file), the matching is mostly correct.

Adding StartupWMClass to *.desktop file solves the problem (patch for Fedora package included)


Version-Release number of selected component (if applicable):
gnome-shell-3.10.2-1.fc20.x86_64
rxvt-unicode-256color-9.19-1.fc20.x86_64
rxvt-unicode-9.19-1.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. start rxvt unicode from dashboard
2. see that an entry with a nice terminal icon appears
3. alt-f2 and start another urxvt
4. observe a missing icon in applications list, not grouped with previous urxvt instance

Actual results:


Expected results:


Additional info:

xprop of correctly matched instance:
_NET_WM_STATE(ATOM) = _NET_WM_STATE_MAXIMIZED_VERT, _NET_WM_STATE_FOCUSED
WM_STATE(WM_STATE):
		window state: Normal
		icon window: 0x0
_NET_FRAME_EXTENTS(CARDINAL) = 0, 0, 33, 0
_NET_WM_DESKTOP(CARDINAL) = 0
_NET_WM_ALLOWED_ACTIONS(ATOM) = _NET_WM_ACTION_MOVE, _NET_WM_ACTION_RESIZE, _NET_WM_ACTION_FULLSCREEN, _NET_WM_ACTION_MINIMIZE, _NET_WM_ACTION_SHADE, _NET_WM_ACTION_MAXIMIZE_HORZ, _NET_WM_ACTION_MAXIMIZE_VERT, _NET_WM_ACTION_CHANGE_DESKTOP, _NET_WM_ACTION_CLOSE, _NET_WM_ACTION_ABOVE, _NET_WM_ACTION_BELOW
_XEMBED_INFO(_XEMBED_INFO) = 0x0, 0x1
_NET_WM_PID(CARDINAL) = 4840
WM_PROTOCOLS(ATOM): protocols  WM_DELETE_WINDOW, _NET_WM_PING
WM_LOCALE_NAME(STRING) = "en_US.UTF-8"
WM_CLASS(STRING) = "urxvt256c", "URxvt"
WM_HINTS(WM_HINTS):
		Client accepts input or input focus: True
		Initial state is Normal State.
		window id # of group leader: 0x1400016
WM_NORMAL_HINTS(WM_SIZE_HINTS):
		program specified minimum size: 12 by 38
		program specified resize increment: 8 by 17
		program specified base size: 4 by 21
		window gravity: NorthWest
WM_CLIENT_MACHINE(STRING) = "localhost.localdomain"
WM_COMMAND(STRING) = { "urxvt256c", "-embed", "20971529" }
_NET_WM_ICON_NAME(UTF8_STRING) = "urxvt256c"
WM_ICON_NAME(STRING) = "urxvt256c"
_NET_WM_NAME(UTF8_STRING) = "xprop @ localhost: ~"
WM_NAME(STRING) = "xprop @ localhost: ~"


xprop of instance that did not match:
_XEMBED_INFO(_XEMBED_INFO) = 0x0, 0x1
_NET_WM_STATE(ATOM) = _NET_WM_STATE_MAXIMIZED_VERT, _NET_WM_STATE_FOCUSED
WM_STATE(WM_STATE):
		window state: Normal
		icon window: 0x0
_NET_FRAME_EXTENTS(CARDINAL) = 1, 0, 33, 0
_NET_WM_DESKTOP(CARDINAL) = 0
_NET_WM_ALLOWED_ACTIONS(ATOM) = _NET_WM_ACTION_MOVE, _NET_WM_ACTION_RESIZE, _NET_WM_ACTION_FULLSCREEN, _NET_WM_ACTION_MINIMIZE, _NET_WM_ACTION_SHADE, _NET_WM_ACTION_MAXIMIZE_HORZ, _NET_WM_ACTION_MAXIMIZE_VERT, _NET_WM_ACTION_CHANGE_DESKTOP, _NET_WM_ACTION_CLOSE, _NET_WM_ACTION_ABOVE, _NET_WM_ACTION_BELOW
_NET_WM_PID(CARDINAL) = 4921
WM_PROTOCOLS(ATOM): protocols  WM_DELETE_WINDOW, _NET_WM_PING
WM_LOCALE_NAME(STRING) = "en_US.UTF-8"
WM_CLASS(STRING) = "urxvt256c", "URxvt"
WM_HINTS(WM_HINTS):
		Client accepts input or input focus: True
		Initial state is Normal State.
		window id # of group leader: 0x2e00016
WM_NORMAL_HINTS(WM_SIZE_HINTS):
		program specified minimum size: 12 by 38
		program specified resize increment: 8 by 17
		program specified base size: 4 by 21
		window gravity: NorthWest
WM_CLIENT_MACHINE(STRING) = "localhost.localdomain"
WM_COMMAND(STRING) = { "urxvt256c", "-embed", "48234505" }
_NET_WM_ICON_NAME(UTF8_STRING) = "urxvt256c"
WM_ICON_NAME(STRING) = "urxvt256c"
_NET_WM_NAME(UTF8_STRING) = "xprop @ localhost: ~"
WM_NAME(STRING) = "xprop @ localhost: ~"
Comment 1 Fedora Update System 2015-01-03 03:57:16 EST
rxvt-unicode-9.21-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.21-3.el7
Comment 2 Fedora Update System 2015-01-03 03:57:27 EST
rxvt-unicode-9.21-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.21-3.el6
Comment 3 Fedora Update System 2015-01-03 03:57:37 EST
rxvt-unicode-9.21-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.21-3.fc21
Comment 4 Fedora Update System 2015-01-03 03:57:45 EST
rxvt-unicode-9.21-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.21-3.fc20
Comment 5 Fedora Update System 2015-01-04 15:04:57 EST
Package rxvt-unicode-9.21-3.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rxvt-unicode-9.21-3.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0035/rxvt-unicode-9.21-3.el7
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2015-01-20 16:04:24 EST
rxvt-unicode-9.21-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-01-20 16:06:22 EST
rxvt-unicode-9.21-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-01-24 13:46:54 EST
rxvt-unicode-9.21-3.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-01-24 13:49:21 EST
rxvt-unicode-9.21-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.